## CamelTextIndex CamelTextIndex |

## Synopsis

    void                (*CamelTextIndexFunc)               (CamelTextIndex *idx,
                                                             const char *word,
                                                             char *buffer);
                        CamelTextIndex;
                        CamelTextIndexCursor;
                        CamelTextIndexKeyCursor;
                        CamelTextIndexName;
    CamelTextIndex *    camel_text_index_new                (const char *path,
                                                             int flags);
    int                 camel_text_index_check              (const char *path);
    int                 camel_text_index_rename             (const char *old,
                                                             const char *new);
    int                 camel_text_index_remove             (const char *old);
    void                camel_text_index_dump               (CamelTextIndex *idx);
    void                camel_text_index_info               (CamelTextIndex *idx);
    void                camel_text_index_validate           (CamelTextIndex *idx);

## Description

## Details

### CamelTextIndexFunc ()

    void                (*CamelTextIndexFunc)               (CamelTextIndex *idx,
                                                             const char *word,
                                                             char *buffer);

`idx` : |
`word` : |
`buffer` : |

### CamelTextIndex

    typedef struct {
    	CamelIndex parent;

    	struct _CamelTextIndexPrivate *priv;
    } CamelTextIndex;

### CamelTextIndexCursor

    typedef struct {
    	CamelIndexCursor parent;

    	struct _CamelTextIndexCursorPrivate *priv;
    } CamelTextIndexCursor;

### CamelTextIndexKeyCursor

    typedef struct {
    	CamelIndexCursor parent;

    	struct _CamelTextIndexKeyCursorPrivate *priv;
    } CamelTextIndexKeyCursor;

### CamelTextIndexName

    typedef struct {
    	CamelIndexName parent;

    	struct _CamelTextIndexNamePrivate *priv;
    } CamelTextIndexName;

### camel_text_index_new ()

    CamelTextIndex *    camel_text_index_new                (const char *path,
                                                             int flags);

`path` : |
`flags` : |
Returns : |

### camel_text_index_check ()

    int                 camel_text_index_check              (const char *path);

`path` : |
Returns : |

### camel_text_index_rename ()

    int                 camel_text_index_rename             (const char *old,
                                                             const char *new);

`old` : |
`new` : |
Returns : |

### camel_text_index_remove ()

    int                 camel_text_index_remove             (const char *old);

`old` : |
Returns : |

### camel_text_index_dump ()

    void                camel_text_index_dump               (CamelTextIndex *idx);

`idx` : |

### camel_text_index_info ()

    void                camel_text_index_info               (CamelTextIndex *idx);

`idx` : |

### camel_text_index_validate ()

    void                camel_text_index_validate           (CamelTextIndex *idx);

`idx` : |